/* libsizzle/libsizzle.h - include file for embedding programs
 
  Copyright (C) 2000 Martin Grabmueller <mgrabmue@cs.tu-berlin.de>
 
  This is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
  
  This software is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this package; see the file COPYING.  If not, write to the
  Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA.  */

#ifndef __LIBSIZZLE_H__
#define __LIBSIZZLE_H__

#include <libsizzle/alloc.h>
#include <libsizzle/cvar.h>
#include <libsizzle/eval.h>
#include <libsizzle/fport.h>
#include <libsizzle/fdport.h>
#include <libsizzle/gc.h>
#include <libsizzle/list.h>
#include <libsizzle/node.h>
#include <libsizzle/port.h>
#include <libsizzle/promise.h>
#include <libsizzle/read.h>
#include <libsizzle/result.h>
#include <libsizzle/sport.h>
#include <libsizzle/values.h>
#include <libsizzle/vector.h>
#include <libsizzle/regexp.h>
#include <libsizzle/capi.h>
#include <libsizzle/macros.h>
#include <libsizzle/posix.h>
#include <libsizzle/hashtab.h>
#include <libsizzle/uvector.h>
#include <libsizzle/sig.h>
#include <libsizzle/dynlib.h>
#include <libsizzle/nls.h>
#include <libsizzle/validate.h>

#endif /* not __LIBSIZZLE_H__ */
